{% extends 'crud_base.html' %}
{% block content %}

<!--Additional nav bar below main nav used for adding new db items-->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="navbar-brand">Post Administration</div>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
            <li class="nav-item active">
                <a class="nav-link" href="{% url 'crud:add' %}">Add New</a>
            </li>
        </ul>
    </div>
</nav>

<div class="album py-5 bg-light">
    <div class="container">
        <div class="row">
<!--            loop to output all the posts-->
            {% for post in post_list %}
            <div class="col-md-4">
                <div class="card mb-4 box-shadow">
                    <img class="card-img-top" src="https://via.placeholder.com/150x100" alt="Card image cap">
                    <div class="card-body">
                        <h4 class="lead"><a class="text-dark" href="{% url 'crud:single' post.pk %}">{{ post.title }}</a></h4>
                            <p class="card-text"></p>
                            <div class="d-flex justify-content-between align-items-center">
                                <div class="btn-group">
                                    <a href="{{ post.get_absolute_url }}" class="btn btn-sm btn-outline-primary" role="button" aria-pressed="true">View</a>
                                    <a href="{% url 'crud:edit' post.pk %}" class="btn btn-sm btn-outline-secondary" role="button" aria-pressed="true">Edit</a>
                                    <a href="{% url 'crud:delete' post.pk %}" class="btn btn-sm btn-outline-secondary" role="button" aria-pressed="true">Delete</a>
                                </div>
                                <small class="text-muted">9 mins</small>
                            </div>
                    </div>
                </div>
            </div>
        {% endfor %}
        </div>
    </div>
</div>

{% endblock %}